<div class="container">
<div class="card">
<div class="card-header">
  <h4>Accesso utente</h4>
</div>
  <div class="card-block">
  <div class="form-container">
<form [formGroup]="loginForm" class="form-inline" (ngSubmit)="doLogin()">
  <div class="form-group">
    <label for="username">Utente</label>
    <input type="text" class="form-control" name="username" id="username" placeholder="Mario Rossi" [formControl]="username">
  </div>
  <div class="form-group">
    <label for="password">Password</label>
    <input type="password" class="form-control" name="password" id="password" placeholder="Password" [formControl]="password">
  </div>
  <button type="submit" class="btn btn-primary" [disabled]="!loginForm.valid">Login</button>
</form>

</div>
<div class="form-container">
  <div [hidden]="username.valid || username.pristine" class="alert alert-danger">
    <strong>Attenzione:</strong>
    <div [hidden]="!username.hasError('minlength')">
      Lunghezza minima username: 3 caratteri.
    </div>
    <div [hidden]="!username.hasError('required')">
      Utente: campo obbligatorio.
    </div>
  </div>
  <div [hidden]="password.valid || password.pristine" class="alert alert-danger">
    <strong>Attenzione:</strong>
    <div [hidden]="!password.hasError('minlength')">
      Lunghezza minima password: 3 caratteri.
    </div>
    <div [hidden]="!password.hasError('required')">
      Password: campo obbligatorio.
    </div>
  </div>
  </div>
  </div>
</div>

<div *ngIf="userSrv.user.logged">
<strong>Ciao, {{userSrv.user.firstname + ' ' + userSrv.user.lastname}}!</strong>
</div>

</div>